Jump to content
MartynKeigher

Dashing on Ubuntu: Install Guide

Recommended Posts

I am getting this error at the bottom while trying to Bundle:

/opt/dashing/rmm_hud$ sudo bundle install

Don't run Bundler as root. Bundler can ask for sudo if it is needed, and

installing your bundle as root will break this application for all non-root

users on this machine.

Fetching gem metadata from https://rubygems.org/...'>https://rubygems.org/............'>https://rubygems.org/............

Fetching version metadata from https://rubygems.org/...

Fetching dependency metadata from https://rubygems.org/..

Resolving dependencies.....

Rubygems 1.8.23 is not threadsafe, so your gems will be installed one at a time. Upgrade to Rubygems 2.1.0 or higher to enable parallel gem installation.

Using rake 11.0.1

Using addressable 2.4.0

Using backports 3.6.8

Using coffee-script-source 1.10.0

Using execjs 2.6.0

Using concurrent-ruby 1.0.1

Using daemons 1.2.3

Using rack 1.6.4

Using thread_safe 0.3.5

Using sass 3.4.21

Using tilt 2.0.2

Using multi_json 1.11.2

Using eventmachine 1.0.9.1

Using thor 0.19.1

Using multipart-post 2.0.0

Using jwt 1.5.3

Using little-plugger 1.1.4

Using memoist 0.14.0

Using os 0.9.6

Using httpclient 2.7.1

Using hurley 0.2

Installing mime-types-data 3.2016.0221

 

Gem::InstallError: mime-types-data requires Ruby version >= 2.0.

Using uber 0.0.15

Using retriable 2.1.0

Using htmlentities 4.3.4

Using json 1.8.3

Using multi_xml 0.5.5

Using link_header 0.0.8

Using mini_portile2 2.0.0

Using mysql2 0.4.3

Using puma 3.1.0

Using rubyzip 1.2.0

Using simple-rss 1.3.1

Using xml-simple 1.1.5

Using bundler 1.11.2

Using coffee-script 2.4.1

Using rack-protection 1.5.3

Using rack-test 0.6.3

Using sprockets 3.5.2

Using passenger 5.0.26

Using tzinfo 1.2.2

Using haml 4.0.7

Using thin 1.6.4

Using faraday 0.9.2

Using logging 2.0.0

An error occurred while installing mime-types-data (3.2016.0221), and Bundler

cannot continue.

Make sure that `gem install mime-types-data -v '3.2016.0221'` succeeds before

bundling.

Share this post


Link to post
Share on other sites
I am getting this error at the bottom while trying to Bundle:

/opt/dashing/rmm_hud$ sudo bundle install

Don't run Bundler as root. Bundler can ask for sudo if it is needed, and

installing your bundle as root will break this application for all non-root

users on this machine.

Fetching gem metadata from https://rubygems.org/...'>https://rubygems.org/............'>https://rubygems.org/............

Fetching version metadata from https://rubygems.org/...

Fetching dependency metadata from https://rubygems.org/..

Resolving dependencies.....

Rubygems 1.8.23 is not threadsafe, so your gems will be installed one at a time. Upgrade to Rubygems 2.1.0 or higher to enable parallel gem installation.

Using rake 11.0.1

Using addressable 2.4.0

Using backports 3.6.8

Using coffee-scr.........................

 

Hey man,

 

This is entirely possible given that this guide was written quite a while ago, so it probably DOES need re-proofing and re-doing to make sure that it's accurate. Thanks for bringing this to my attention! I'll run through this guide when I get a little time and update the OP if needed... OR, if the guide is still accurate and works, then we'll troubleshoot your issue - unless of course, it IS working for you now???

 

Regards,

Share this post


Link to post
Share on other sites

Yup - you will need runygems 2.1.0 or higher - its a dependancy of other packages that were installed.

 

Any rubygems 2.X.X install guide for ubuntu will do the trick. You will most likely need to build from source but its well documented.

Share this post


Link to post
Share on other sites

I still had no luck, after hours of redoing everything from scratch. Thank god for VMware Snapshots. If you could re-proof the tutorial that would be awesome!

Just wish "Dashing on LabTech (as a Plugin)" was updated as well, but running it on a separate system sounds great as well for resources.

Share this post


Link to post
Share on other sites

Great guide. I was able to move our boards from the Dashing LT plugin to their own ubuntu server using it.

 

I used the below to run it as a service.

 

#!/bin/bash
# Dashing service
# Add this file to /etc/init.d/
# $ sudo cp dashboard /etc/init.d/
# Update variables the variables to suit your installation
# $ sudoedit /etc/init.d/dashboard
# Make executable
# $ sudo chmod 755 /etc/init.d/dashboard
# Update rc.d
# $ sudo update-rc.d dashboard defaults
# Dashboard will start at boot. Check out the boot log for trouble shooting "/var/log/boot.log"
# USAGE: start|stop|restart|status

### BEGIN INIT INFO
# Provides:          dashboard
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start daemon at boot time
# Description:       Enable service provided by daemon.
### END INIT INFO

set -e
. /lib/lsb/init-functions

# Must be a valid filename
NAME=dashing
DASHING_DIR=/var/www/current
PIDFILE="$DASHING_DIR/$NAME.pid"
DAEMON=/usr/local/bin/$NAME
GEM_HOME=/var/lib/gems/1.9.1

DASHING_PORT=8080
DAEMON_OPTS="start -d -p $DASHING_PORT -P $PIDFILE --tag $NAME -D"

RUNUSER=www-data
RUNGROUP=www-data

test -x $DAEMON || { log_failure_msg "$NAME not installed";exit 1; }

function checkuser() {
 if [[ $UID != 0 ]]; then
   if [[ `whoami` != "$RUNUSER" ]]; then
     log_failure_msg "$1 must be run as root or $RUNUSER"
     exit 1
   fi
 fi
}

function start_dashing() {
 log_action_msg "Starting daemon: $NAME" || true
 sleep 5
 start-stop-daemon --verbose --quiet --start --chuid $RUNUSER:$RUNGROUP --chdir $DASHING_DIR --exec $DAEMON -- $DAEMON_OPTS
 log_end_msg 0
}

function stop_dashing() {
 log_action_msg "Stopping daemon: $NAME" || true
 start-stop-daemon --quiet --stop --pidfile $PIDFILE --user $RUNUSER --retry 30 --oknodo
 log_end_msg 0
}


case "$1" in
 start)
   checkuser start
   start_dashing
 ;;
 stop)
   checkuser stop
   stop_dashing
 ;;
 restart)
   checkuser restart
   log_action_msg "Restarting daemon: $NAME"
   stop_dashing
   start_dashing
 ;;
 status)
   status_of_proc -p $DAEMON $NAME
 ;;
 logs)
   tail -F $DASHING_DIR/log/thin.log
 ;;
 *)
 echo "Usage: "$1" {start|stop|restart|status}"
 exit 1
esac

exit 0

 

Source: https://gist.github.com/gregology/5313326

Share this post


Link to post
Share on other sites

Having issues with tiny_tds... I've installs freetds but still getting compile errors.

 

xxx@xxxx:/opt/dashing/rmm_hud# sudo apt-get install freetds-dev

Reading package lists... Done

Building dependency tree

Reading state information... Done

freetds-dev is already the newest version (0.91-6.1build1).

The following packages were automatically installed and are no longer required:

libcgmanager0 libnih-dbus1 mountall

Use 'sudo apt autoremove' to remove them.

0 to upgrade, 0 to newly install, 0 to remove and 6 not to upgrade.

xxx@xxx:/opt/dashing/rmm_hud# gem install tiny_tds

Building native extensions. This could take a while...

ERROR: Error installing tiny_tds:

ERROR: Failed to build gem native extension.

 

current directory: /var/lib/gems/2.3.0/gems/tiny_tds-1.0.4/ext/tiny_tds

/usr/bin/ruby2.3 -r ./siteconf20160929-16521-5740vn.rb extconf.rb

extconf.rb:14: warning: already initialized constant OpenSSL::SSL::VERIFY_PEER

checking for sybfront.h... yes

checking for sybdb.h... yes

checking for tdsdbopen() in -lsybdb... yes

checking for dbanydatecrack() in -lsybdb... no

Downloading freetds-1.00.tar.bz2 (100%)

Extracting freetds-1.00.tar.bz2 into tmp/x86_64-pc-linux-gnu/ports/freetds/1.00... OK

Running git apply with /var/lib/gems/2.3.0/gems/tiny_tds-1.0.4/ports/patches/freetds/1.00/0001-mingw_missing_inet_pton.diff... OK

Running 'configure' for freetds 1.00... OK

Running 'compile' for freetds 1.00... OK

Running 'install' for freetds 1.00... OK

Activating freetds 1.00 (from /var/lib/gems/2.3.0/gems/tiny_tds-1.0.4/ports/x86_64-pc-linux-gnu)...

checking for sybfront.h... yes

checking for sybdb.h... yes

checking for tdsdbopen() in -lsybdb... yes

checking for dbanydatecrack() in -lsybdb... no

-----

freetds is missing.

Do you have FreeTDS 0.95.80 or higher installed?

-----

*** extconf.rb failed ***

Could not create Makefile due to some reason, probably lack of necessary

libraries and/or headers. Check the mkmf.log file for more details. You may

need configuration options.

 

Provided configuration options:

--with-opt-dir

--without-opt-dir

--with-opt-include

--without-opt-include=${opt-dir}/include

--with-opt-lib

--without-opt-lib=${opt-dir}/lib

--with-make-prog

--without-make-prog

--srcdir=.

--curdir

--ruby=/usr/bin/$(RUBY_BASE_NAME)2.3

--help

--enable-lookup

--disable-lookup

--with-freetds-dir

--without-freetds-dir

--with-freetds-include

--without-freetds-include=${freetds-dir}/include

--with-freetds-lib

--without-freetds-lib=${freetds-dir}/lib

--with-sybdblib

--without-sybdblib

--with-sybdblib

--without-sybdblib

--enable-system-freetds

--disable-system-freetds

--enable-system-iconv

--disable-system-iconv

--enable-system-openssl

--disable-system-openssl

--enable-gnutls

--disable-gnutls

--enable-openssl

--disable-openssl

--with-freetds-dir

--without-freetds-dir

--with-freetds-include

--without-freetds-include=${freetds-dir}/include

--with-freetds-lib

--without-freetds-lib=${freetds-dir}/lib

--with-sybdblib

--without-sybdblib

--with-sybdblib

--without-sybdblib

 

To see why this extension failed to compile, please check the mkmf.log which can be found here:

 

/var/lib/gems/2.3.0/extensions/x86_64-linux/2.3.0/tiny_tds-1.0.4/mkmf.log

 

extconf failed, exit code 1

 

Any ideas?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×